Internet Explorer is no longer supported. Many things will still work, but your experience will be degraded and some things won't function. Please use a modern browser such as Edge, Chrome, or Firefox.

Delete Tag

view on GitHub

Delete Tag is available as both a pgutil command and an HTTP Request, and will delete a specified tag from an image.

Command Specification (CLI)

The containers tags delete command is used to delete a tag.

The --repo, tag, and --feed options are always required.

Deleting a tag requires the feed name (e.g. MyDockerFeed), repo (e.g. mycontainer/mycontainer-ee), and the tag (e.g. final-10):

pgutil containers tags delete --repo=mycontainer/mycontainer-ee --tag=final-10 --feed=MyDockerFeed

HTTP Request Specification

To delete a tag, simply POST or DELETE to the URL with the following query arguments:

POST/DELETE /api/containers/tags/delete?feed=<feed name>&repo=<repo name>&tag=<tag>

HTTP Response Specification

If the tag was deleted, a successful 200 response is returned.

A 404 response indicates that the tag did not exist.

A 403 response indicates a missing, unknown, or unauthorized API Key.